=== debian/control ===
Source: ros-foxy-object-msgs
Section: misc
Priority: optional
Maintainer: Xiaojun Huang <xiaojun.huang@intel.com>
Build-Depends: debhelper (>= 9.0.0), ros-foxy-ament-cmake, ros-foxy-rosidl-default-generators, ros-foxy-sensor-msgs, ros-foxy-std-msgs, ros-foxy-ros-workspace, ros-foxy-rmw-connext-cpp, ros-foxy-rmw-fastrtps-cpp, ros-foxy-rmw-implementation, ros-foxy-rmw-opensplice-cpp, ros-foxy-rosidl-typesupport-connext-c, ros-foxy-rosidl-typesupport-connext-cpp, ros-foxy-rosidl-typesupport-opensplice-c, ros-foxy-rosidl-typesupport-opensplice-cpp
Homepage: 
Standards-Version: 3.9.2

Package: ros-foxy-object-msgs
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}, ros-foxy-rosidl-default-runtime, ros-foxy-sensor-msgs, ros-foxy-std-msgs, ros-foxy-ros-workspace
Description: This package defines messages for NCS inference
